<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>rlPllContrVoltMonConf_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">rlPllContrVoltMonConf_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Internal signals for PLL control voltage monitoring configuration.  
 <a href="structrl_pll_contr_volt_mon_conf__t.html#details">More...</a></p>

<p><code>#include &lt;control/mmwavelink/include/rl_monitoring.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a06646928bd9b00d78c225b03aee96415"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a06646928bd9b00d78c225b03aee96415"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_pll_contr_volt_mon_conf__t.html#a06646928bd9b00d78c225b03aee96415">reportMode</a></td></tr>
<tr class="memdesc:a06646928bd9b00d78c225b03aee96415"><td class="mdescLeft">&#160;</td><td class="mdescRight">Value Definition <br />
 0 Report is sent every monitoring period without threshold check <br />
 1 Report is send only upon a failure (after checking for thresholds) <br />
 2 Report is sent every monitoring period with threshold chec. <br />
. <br /></td></tr>
<tr class="separator:a06646928bd9b00d78c225b03aee96415"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab75584fa0a19115a5edbcbc67e1d7645"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab75584fa0a19115a5edbcbc67e1d7645"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_pll_contr_volt_mon_conf__t.html#ab75584fa0a19115a5edbcbc67e1d7645">reserved0</a></td></tr>
<tr class="memdesc:ab75584fa0a19115a5edbcbc67e1d7645"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for Future use. <br /></td></tr>
<tr class="separator:ab75584fa0a19115a5edbcbc67e1d7645"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2a550ec4330ac37364437c65ffc172e5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2a550ec4330ac37364437c65ffc172e5"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_pll_contr_volt_mon_conf__t.html#a2a550ec4330ac37364437c65ffc172e5">signalEnables</a></td></tr>
<tr class="memdesc:a2a550ec4330ac37364437c65ffc172e5"><td class="mdescLeft">&#160;</td><td class="mdescRight">This field indicates the sets of signals which are to be monitored. When each bit <br />
 in this field is set, the corresponding signal set is monitored using test <br />
 chirps. Rest of the RF analog may not be ON during these test chirps. The APLL <br />
 VCO control voltage can be monitored. The Synthesizer VCO control voltage for <br />
 both VCO1 and VCO2 can be monitored, while operating at their respective <br />
 minimum and maximum frequencies, and their respective VCO slope (Hz/V) can be <br />
 monitored if both frequencies are enabled for that VCO. The monitored signals <br />
 are compared against internally chosen valid limits. The comparison results are <br />
 part of the monitoring <br />
 report message. <br />
 Bit Location SIGNAL <br />
 0 APLL_VCTRL <br />
 1 SYNTH_VCO1_VCTRL <br />
 2 SYNTH_VCO2_VCTRL <br />
 15:3 RESERVED <br />
 The synthesizer VCO extreme frequencies are: <br />
 Synthesizer VCO Frequency Limits (Min, Max) <br />
 VCO1 (76GHz, 78GHz) <br />
 VCO2 (77GHz, 81GHz) <br />
 Synthesizer measurements are done with TX switched off to avoid emissions. <br />
 For the failure reporting, the internally chosen valid limits are (tentative): <br />
 for the measured control voltage levels: 0.15V to 1.25V; <br />
 for the synthesizer VCO slope: -20 to +20% of 1.1GHz/V for VCO2 and 0.55GHz/V <br />
 for VCO1. <br />
. <br /></td></tr>
<tr class="separator:a2a550ec4330ac37364437c65ffc172e5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a16ba14a8bd3775a06a4354163f05f685"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a16ba14a8bd3775a06a4354163f05f685"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_pll_contr_volt_mon_conf__t.html#a16ba14a8bd3775a06a4354163f05f685">reserved1</a></td></tr>
<tr class="memdesc:a16ba14a8bd3775a06a4354163f05f685"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for Future use. <br /></td></tr>
<tr class="separator:a16ba14a8bd3775a06a4354163f05f685"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Internal signals for PLL control voltage monitoring configuration. </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>control/mmwavelink/include/rl_monitoring.h</li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
